cmake: Don't set -DMACOSX_DEPLOYMENT_TARGET=10.4 -mmacosx-version-min=10.4.